%define variant ws

%if "%{variant}" == "ws"
%define _as_var 0
%define _ws_var 1
%define reltag .WS
%else
%if "%{variant}" == "as"
%define _as_var 1
%define _ws_var 0
%define reltag .AS
%else
%define _as_var 0
%define _ws_var 0
%define reltag %{nil}
%endif
%endif


Name: anaconda
Version: 7.3
Release: 14%{reltag}
Copyright: GPL
Summary: The Red Hat Linux installation program.
Group: Applications/System
Source: anaconda-%{PACKAGE_VERSION}.tar.bz2
Obsoletes: anaconda-reconfig
BuildPreReq: pump-devel, kudzu-devel, pciutils-devel, bzip2-devel, e2fsprogs-devel, python-devel db3-devel gtk+-devel gnome-libs-devel rpm-python, newt-devel, rpm-devel, gettext, modutils-devel
Prereq: chkconfig /etc/init.d
Requires: rpm-python
Excludearch: sparc sparc64
ExclusiveArch: ia64

BuildRoot: /var/tmp/anaconda-%{PACKAGE_VERSION}

%description
The anaconda package contains portions of the Red Hat Linux
installation program which can then be run by the user for
reconfiguration and advanced installation options.

%package runtime
Summary: Red Hat Linux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false

%description runtime
The anaconda-runtime package contains parts of the Red Hat Linux
installer which are needed for installing new systems. These files are
used to build Red Hat Linux media sets, but are not meant for use on
already installed systems.

%prep

%setup -q

%build

%if %{_ws_var}
sed 's/PRODUCTNAME=.*/PRODUCTNAME="Red Hat Linux Advanced Workstation"/' < Makefile.inc > Makefile.inc.product
%endif

%if %{_as_var}
sed 's/PRODUCTNAME=.*/PRODUCTNAME="Red Hat Linux Advanced Server"/' < Makefile.inc > Makefile.inc.product
%endif

[ -f Makefile.inc.product ] && mv Makefile.inc.product Makefile.inc

make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

# make this into the appropriate product
%if %{_ws_var}
sed '/class InstallClass(BaseInstallClass):/{G;s/$/    hidden=1/;}' < installclasses/server.py > installclasses/server.py.hidden
mv installclasses/server.py.hidden installclasses/server.py
echo "helptag         aw" >> anaconda.conf
%endif
%if %{_as_var}
sed '/class InstallClass(BaseInstallClass):/{G;s/$/    hidden=1/;}' < installclasses/workstation.py > installclasses/workstation.py.hidden
mv installclasses/workstation.py.hidden installclasses/workstation.py
echo "helptag         as" >> anaconda.conf
%endif



%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#strip $RPM_BUILD_ROOT/usr/sbin/ddcprobe

strip $RPM_BUILD_ROOT/usr/lib/anaconda/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add reconfig

%preun
if [ $1 = 0 ]; then
	chkconfig --del reconfig
fi

%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
%doc docs/install-methods.txt
%doc docs/kickstart-docs.txt
%doc docs/kickstart-docs.html
%doc docs/anaconda-release-notes.txt
/usr/sbin/anaconda
/usr/share/anaconda
/usr/share/locale/*/*/*
/usr/lib/anaconda
%ifarch i386
/usr/sbin/ddcprobe
%endif

%config /etc/rc.d/init.d/reconfig

%files runtime
%defattr(-,root,root)
/usr/lib/anaconda-runtime

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Thu Dec 11 2003 Jeremy Katz <katzj@redhat.com> 7.3-14
- fix installclasses (#111823)

* Thu Nov 20 2003 Jeremy Katz <katzj@redhat.com> 7.3-13.1
- fix typo for building AS

* Sun Nov  9 2003 Jeremy Katz <katzj@redhat.com> 7.3-13
- add some modules to module-info
- fix typo in HTTP GET that causes problems with some versions of IIS (#108652)

* Tue Apr 15 2003 Jeremy Katz <katzj@redhat.com> 7.3-12
- rebuild for new kudzu
 
* Fri Feb 07 2003 Jeremy Katz <katzj@redhat.com>
- add patch to handle scsi being modular instead of built-in
 
* Mon Sep 09 2002 Anaconda team <bugzilla@redhat.com>
- built new version from CVS
 
* Tue Aug 20 2002 Jeremy Katz <katzj@redhat.com>
- sed hackery for installclasses
 
* Tue Apr 02 2002 Michael Fulbright <msf@redhat.com>
- added some more docs

* Fri Feb 22 2002 Jeremy Katz <katzj@redhat.com>
- buildrequire kernel-pcmcia-cs as we've sucked the libs the loader needs 
  to there now

* Wed Feb 20 2002 Jeremy Katz <katzj@redhat.com>
- buildrequires modutils-devel

* Wed Jul 18 2001 Jeremy Katz <katzj@redhat.com>
- own /usr/lib/anaconda and /usr/share/anaconda

* Fri Jan 12 2001 Matt Wilson <msw@redhat.com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw@redhat.com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike@redhat.com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike@redhat.com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike@redhat.com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike@redhat.com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike@redhat.com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike@redhat.com>
- first try at packaging reconfiguration tool

